CGAL 6.1.2 - Triangulated Surface Mesh Simplification: CGAL::Surface_mesh_simplification::Face_count_ratio_stop_predicate< TriangleMesh > Class Template Reference

CGAL 6.1.2 - Triangulated Surface Mesh Simplification

Loading...
Searching...
No Matches
List of all members
CGAL::Surface_mesh_simplification::Face_count_ratio_stop_predicate< TriangleMesh > Class Template Reference
Reference Manual

`#include <CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Face_count_ratio_stop_predicate.h>`

## Definition

template<typename TriangleMesh>
class CGAL::Surface_mesh_simplification::Face_count_ratio_stop_predicate< TriangleMesh >

Is model of
  `StopPredicate`

The class `Face_count_ratio_stop_predicate` is a model for the `StopPredicate` concept which returns `true` when the relation between the initial and current number of faces drops below a certain ratio.

Template Parameters

  TriangleMesh | is the type of surface mesh being simplified, and must be a model of the `MutableFaceGraph` and `HalfedgeListGraph` concepts.

See also
  `CGAL::Surface_mesh_simplification::Edge_count_ratio_stop_predicate<TriangleMesh>`
  `CGAL::Surface_mesh_simplification::Face_count_stop_predicate<TriangleMesh>`

## Creation
| Face_count_ratio_stop_predicate (const double ratio, const TriangleMesh &tmesh)
| Initializes the predicate establishing the `ratio`.

## Operations
bool | operator() (const Edge_profile::FT current_cost, const Edge_profile &edge_profile, const Edge_profile::edges_size_type initial_edge_count, const Edge_profile::edges_size_type current_edge_count) const
| Returns `true` if the ratio of current face count over initial face count is strictly smaller than `ratio`, and `false` otherwise.

## Member Function Documentation

## ◆ operator()()

template<typename TriangleMesh >

bool CGAL::Surface_mesh_simplification::Face_count_ratio_stop_predicate< TriangleMesh >::operator() | ( | const Edge_profile::FT | current_cost,
|  | const Edge_profile & | edge_profile,
|  | const Edge_profile::edges_size_type | initial_edge_count,
|  | const Edge_profile::edges_size_type | current_edge_count
| ) |  | const

Returns `true` if the ratio of current face count over initial face count is strictly smaller than `ratio`, and `false` otherwise.

All other parameters are ignored (but exist since this is a generic policy).